//+------------------------------------------------------------------+
//|                                                      LRMA-ap.mq4 |
//|                                             Copyright  2007, AP |
//|                                                olgapob33@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Aleksandr Pak"
#property link      "ekr-ap@mail.ru"


#property indicator_chart_window

#property indicator_buffers 2
#property indicator_color1 Aqua
#property indicator_color2 Yellow

extern int MA=6;
extern double a =3.;
extern int METODa=3;  //0..3   3=LRMA
extern int METODb=0;  //0..6   0=LRMA
extern int _PRICE =0;  //      
extern int max=1000;

double lrma[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

   SetIndexBuffer(0,lrma);          
   SetIndexStyle(0,DRAW_LINE);   
 if(METODa<0||METODa>3) METODa=0;  //  
 if(METODb<0||METODb>3) METODb=0;  //  
 if(_PRICE<0||_PRICE>6) _PRICE=0;
  return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {int i;
   int    counted_bars=IndicatorCounted();
   double b,r;
               b=a-1.;
for(i=0;i<max-counted_bars-1;i++) 
      lrma[i]= a*iMA(NULL,0,MA,0,METODa,_PRICE,i)
               -b*iMA(NULL,0,MA,0,METODb,_PRICE,i); 
   return(0);
  }
//+------------------------------------------------------------------+